com.google.gwt.user.cellview.client

## Enum HasKeyboardSelectionPolicy.KeyboardSelectionPolicy

- java.lang.Object
- - java.lang.Enum<HasKeyboardSelectionPolicy.KeyboardSelectionPolicy>
  - - com.google.gwt.user.cellview.client.HasKeyboardSelectionPolicy.KeyboardSelectionPolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HasKeyboardSelectionPolicy.KeyboardSelectionPolicy>

Enclosing interface:
  HasKeyboardSelectionPolicy

    public static enum HasKeyboardSelectionPolicy.KeyboardSelectionPolicy
    extends java.lang.Enum<HasKeyboardSelectionPolicy.KeyboardSelectionPolicy>

The policy that determines how keyboard selection will work.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOUND_TO_SELECTION` Keyboard selection is bound to the `SelectionModel`.
`DISABLED` Keyboard selection is disabled.
`ENABLED` Keyboard selection is enabled.

### Method Summary

All Methods Static Methods Concrete Methods
`static HasKeyboardSelectionPolicy.KeyboardSelectionPolicy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HasKeyboardSelectionPolicy.KeyboardSelectionPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLED

    public static final HasKeyboardSelectionPolicy.KeyboardSelectionPolicy DISABLED

Keyboard selection is disabled.

#### ENABLED

    public static final HasKeyboardSelectionPolicy.KeyboardSelectionPolicy ENABLED

Keyboard selection is enabled.

#### BOUND_TO_SELECTION

    public static final HasKeyboardSelectionPolicy.KeyboardSelectionPolicy BOUND_TO_SELECTION

Keyboard selection is bound to the `SelectionModel`.

### Method Detail

#### values

    public static HasKeyboardSelectionPolicy.KeyboardSelectionPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HasKeyboardSelectionPolicy.KeyboardSelectionPolicy c : HasKeyboardSelectionPolicy.KeyboardSelectionPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HasKeyboardSelectionPolicy.KeyboardSelectionPolicy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null